import React from 'react'
import Helmet from 'react-helmet'

import Header from '../Header'
import Footer from '../Footer';
import './Layout.css'

const TemplateWrapper = ({ children }) => (
  <div>
    <Helmet titleTemplate="%s | Will Webberley" defaultTitle="Will Webberley" />
    <Header />
    <div style={{margin: '0 auto',maxWidth: 960,padding: '0px 1.0875rem 1.45rem',paddingTop: 0}}>
      {children}    
    </div>
    <Footer />
  </div>
)

export default TemplateWrapper
